=encoding utf8

=head1 NAME

Mail::Server::IMAP4::Search - select messages within a IMAP folder (not completed)

=head1 INHERITANCE

 Mail::Server::IMAP4::Search
   is a Mail::Box::Search
   is a Mail::Reporter

=head1 SYNOPSIS

  use Mail::Box::Manager;
  my $mgr    = Mail::Box::Manager->new;
  my $folder = $mgr->open('imap4:Inbox');

  my $filter = Mail::Server::IMAP4::Search->new(...);

  my @msgs   = $filter->search($folder);
  if($filter->search($message)) {...}

=head1 DESCRIPTION

THIS PACKAGES IS NOT IMPLEMENTED YET...  (it's waiting for a volunteer)

Extends L<"DESCRIPTION" in Mail::Box::Search|Mail::Box::Search/"DESCRIPTION">.

=head1 METHODS

Extends L<"METHODS" in Mail::Box::Search|Mail::Box::Search/"METHODS">.

=head2 Constructors

Extends L<"Constructors" in Mail::Box::Search|Mail::Box::Search/"Constructors">.

=over 4

=item $class-E<gt>B<new>(%options)

Inherited, see L<Mail::Box::Search/"METHODS">

 -Option    --Defined in       --Default
  binaries    Mail::Box::Search  <C<false>>
  decode      Mail::Box::Search  <C<true>>
  delayed     Mail::Box::Search  true
  deleted     Mail::Box::Search  false
  deliver     Mail::Box::Search  undef
  in          Mail::Box::Search  'BODY'
  label       Mail::Box::Search  undef
  limit       Mail::Box::Search  0
  logical     Mail::Box::Search  'REPLACE'
  multiparts  Mail::Box::Search  true

=over 2

=item binaries => BOOLEAN

=item decode => BOOLEAN

=item delayed => BOOLEAN

=item deleted => BOOLEAN

=item deliver => undef|CODE|'DELETE'

=item in => 'HEAD'|'BODY'|'MESSAGE'

=item label => $label

=item limit => $number

=item logical => 'REPLACE'|'AND'|'OR'|'NOT'|'AND NOT'|'OR NOT'

=item multiparts => BOOLEAN

=back

=back

=head2 Attributes

Extends L<"Attributes" in Mail::Box::Search|Mail::Box::Search/"Attributes">.

=over 4

=item $obj-E<gt>B<deliver>()

Inherited, see L<Mail::Box::Search/"Attributes">

=item $obj-E<gt>B<doMultiparts>()

Inherited, see L<Mail::Box::Search/"Attributes">

=item $obj-E<gt>B<parseDelayed>()

Inherited, see L<Mail::Box::Search/"Attributes">

=item $obj-E<gt>B<skipDeleted>()

Inherited, see L<Mail::Box::Search/"Attributes">

=back

=head2 Error handling

Extends L<"Error handling" in Mail::Box::Search|Mail::Box::Search/"Error handling">.

=over 4

=item $obj-E<gt>B<AUTOLOAD>()

Inherited, see L<Mail::Reporter/"Error handling">

=item $obj-E<gt>B<notImplemented>()

Inherited, see L<Mail::Reporter/"Error handling">

=back

=head2 Cleanup

Extends L<"Cleanup" in Mail::Box::Search|Mail::Box::Search/"Cleanup">.

=over 4

=item $obj-E<gt>B<DESTROY>()

Inherited, see L<Mail::Reporter/"Cleanup">

=back

=head2 Searching

Extends L<"Searching" in Mail::Box::Search|Mail::Box::Search/"Searching">.

=over 4

=item $obj-E<gt>B<inBody>($part, $body)

Inherited, see L<Mail::Box::Search/"Searching">

=item $obj-E<gt>B<inHead>($part, $head)

Inherited, see L<Mail::Box::Search/"Searching">

=item $obj-E<gt>B<search>($folder|$thread|$message|ARRAY)

Inherited, see L<Mail::Box::Search/"Searching">

=item $obj-E<gt>B<searchPart>($part)

Inherited, see L<Mail::Box::Search/"Searching">

=back

=head2 The Results

Extends L<"The Results" in Mail::Box::Search|Mail::Box::Search/"The Results">.

=over 4

=item $obj-E<gt>B<printMatch>( [$fh], HASH )

Inherited, see L<Mail::Box::Search/"The Results">

=back

=head1 DIAGNOSTICS

=over 4

=item Error: class $package does not implement method $method.

Fatal error: the specific C<$package> (or one of its superclasses) does not
implement this method where it should. This message means that some other
related classes do implement this method however the class at hand does
not.  Probably you should investigate this and probably inform the author
of the package.
Cast by C<notImplemented()>

=item Error: expect messages to search, not $what.

Cast by C<search()>

=back

=head1 SEE ALSO

This module is part of Mail-Box-IMAP4 version 4.01,
built on December 13, 2025. Website: F<http://perl.overmeer.net/CPAN/>

=head1 LICENSE

For contributors see file ChangeLog.

This software is copyright (c) 2001-2025 by Mark Overmeer.

This is free software; you can redistribute it and/or modify it under
the same terms as the Perl 5 programming language system itself.

